Subject: [SPKM] SPKM-3 mutual authentication with DH certificates

From: S Rahul <[email-masked]>
Date: Mon, 13 Jul 2009 10:18:57 +0530

Hi,

I wanted to use SPKM-3 mutual authentication with DH certificates. Is this 
possible ? I am not sure if the RFC/drafts allow that.

I wanted to know if dhKeyAgreement can be selected for K-ALG in Req-contents 
-> key-estb-set and Req-contents -> key-estb-req be left undefined. This 
could tell the target to pick up the DH public key from SPKM-REQ -> 
certif-data -> certificationPath -> userCertif. Similarly, Rep-ti-contents 
could contain a DH certificate in the target certificate field. If the DH 
parameters are same for client and server public keys, the Rep-ti-contents -> 
key-estb-str could be omitted. If server does not have DH certificate, 
Rep-ti-contents -> key-estb-str would have random DH public key as described 
in the RFC.

Thanks,

-Rahul